import type { ThemedToken } from 'shiki';
import type { TokenType } from '../../types';
import { createHighlighterCore } from '../../../dist/cache/core/core.js';
export type SupportedLanguage = 'css' | 'html' | 'javascript' | 'json' | 'php' | 'typescript';
export type SupportedTheme = 'github-dark' | 'github-light';
export interface HighlighterState {
    readonly highlighter: Awaited<ReturnType<typeof createHighlighterCore>>;
    readonly loadedLanguages: ReadonlySet<string>;
    readonly loadedThemes: ReadonlySet<string>;
}
export declare function createHighlighter({ langs, themes }: {
    langs: string[];
    themes: string[];
}): Promise<Awaited<ReturnType<typeof createHighlighterCore>>>;
export declare function loadTheme(theme: string): Promise<void>;
export declare function loadLanguage(lang: string): Promise<void>;
export declare function processTokens(tokens: ThemedToken[]): TokenType[];
//# sourceMappingURL=index.d.ts.map